/*
 * (c) Copyright 1999-2009 PaperCut Software International Pty. Ltd.
 * $Id: EnableablePlugin.java 8117 2009-06-19 05:15:44Z matt $
 */
package biz.papercut.pcng.plugin;

/**
 * For plugins that can be enabled/disable using configuration, etc.
 * 
 * Plugins that do not implement this interface are assumed to be enabled.
 * 
 * NOTE: This is probably something that could have been added to the base "Plugin" interface, but this
 * would break compatibility.
 * 
 * @author matt
 */
public interface EnableablePlugin extends Plugin {
    
    /**
     * Determines if this plugin is enabled.  A plugin will often be disabled by default unless enabled through 
     * configuration.
     * 
     * This is used by the plugin manager to return only enabled plugins when asked.
     * 
     * @return True if the plugin is enabled.
     */
    boolean isPluginEnabled();

}
